Page MenuHome

[Blender 2.82 release] Can't decrease the Subdivision Level in Sculpt mode (using Multires).
Closed, InvalidPublic

Description

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f
Worked: 2.81a

Short description of error
Can't decrease the Subdivision Level in Sculpt mode (using Multires).

Exact steps for others to reproduce the error
Just launch Blender and switch to the Sculpt mode. Press "Ctrl+1", then press "Ctrl+2", "Ctrl+3", the mesh could be applied higher subdivision level. But then press "Ctrl+1" or "PageDown" key, nothing would happen. Although I could see the Subdivision Level was set to lower number, but the mesh topology had never changed.

Event Timeline

Blendy (sweep2rails) renamed this task from Can't decrease the Subdivision Level in Sculpt mode. to Can't decrease the Subdivision Level in Sculpt mode (using Multires)..Feb 16 2020, 4:11 PM
Blendy (sweep2rails) renamed this task from Can't decrease the Subdivision Level in Sculpt mode (using Multires). to [Blender 2.82 release] Can't decrease the Subdivision Level in Sculpt mode (using Multires)..
Evan Wilson (EAW) closed this task as Invalid.Feb 17 2020, 12:34 AM
Evan Wilson (EAW) claimed this task.

Hello @Blendy (sweep2rails), thanks for the report.

This is an intentional change as there is a bug with Multires that can destroy sculpt data when the subdivision levels are decreased. See T58473 for more details. Fixing this bug will require some large changes that will take some time. In the meantime, Sculpting with Multires has been patched to force sculpting to only be done on the highest level. See D6244.